{@abstract(Special functions visual tests)
@author(Nikolai V. Shokhirev <nikolai@shokhirev.com> <nikolai@u.arizona.edu>)
@created(2009.03.03)
@lastmod(2009.03.03)
Nikolai V. Shokhirev, 2009-2009 }
unit fNumTests;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls
  , uMatTypes, StdCtrls, ExtCtrls
  ;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Panel1: TPanel;
    Panel2: TPanel;
    MemoNorm: TMemo;
    RadioGroupNormFunc: TRadioGroup;
    ButtonRun: TButton;
    procedure ButtonRunClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  math
  , uSpecFunc
  , Test_uSpecFunc
;

{$R *.dfm}

procedure TForm1.ButtonRunClick(Sender: TObject);
var
  i: integer;
  x, y, y0, r : TFloat;
begin
  MemoNorm.Clear;
   for i := nMin to nMax do
   begin
     case RadioGroupNormFunc.ItemIndex of
     0: begin
           x := NCDFx[i];
           y := CumNormDF(x);
           y0 := NCDF[i];
        end;
     1: begin
           x := NCDFx[i];
           y := CumNorm(x);
           y0 := NCDF[i];
        end;
     2: begin
           x := NCDF[i];
           y := InvNormCDF(x);
           y0 := NCDFx[i];
        end;
     3: begin
           x := NCDF[i];
           y := invCumNorm(x);
           y0 := NCDFx[i];
        end;
     end;
     if y0=0.0 then r := 0.0
               else r := y/y0-1.0;
     MemoNorm.Lines.Add(FloatToStr(x)+'   '+FloatToStr(y)+'   '+
                        FloatToStr(y0)+'   '+FloatToStr(y-y0)
                        +'   '+FloatToStr(r));
   end;
end;
{
CumNormDF
CumNorm
InvNormCDF
invCumNorm}
end.
