unit fTestRainbow;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    ScrollBar1: TScrollBar;
    Label1: TLabel;
    ButtonRainbow: TButton;
    ButtonRainbow1: TButton;
    ButtonPositiveNegative1: TButton;
    RadioGroup1: TRadioGroup;
    ButtonPositiveNegative: TButton;
    ButtonTransition: TButton;
    ButtonTransition1: TButton;
    procedure ButtonRainbowClick(Sender: TObject);
    procedure ButtonRainbow1Click(Sender: TObject);
    procedure ButtonPositiveNegativeClick(Sender: TObject);
    procedure ButtonPositiveNegative1Click(Sender: TObject);
    procedure ButtonTransitionClick(Sender: TObject);
    procedure ButtonTransition1Click(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  uRainbow
  ;

{$R *.dfm}

procedure TForm1.ButtonRainbowClick(Sender: TObject);
var
  i: integer;
begin
  for i := 0 to 499 do
  begin
    self.Canvas.Pen.Color := TColor(rainbow((i)/500.0));
    self.Canvas.MoveTo(i+30,10);
    self.Canvas.LineTo(i+30,50);
  end;

end;

procedure TForm1.ButtonRainbow1Click(Sender: TObject);
var
  i: integer;
begin
  for i := 0 to 499 do
  begin
    self.Canvas.Pen.Color := TColor(rainbow1((i)/500.0));
    self.Canvas.MoveTo(i+30,10);
    self.Canvas.LineTo(i+30,50);
  end;

end;

procedure TForm1.ButtonPositiveNegativeClick(Sender: TObject);
var
  i, c: integer;
begin
  for i := 0 to 499 do
  begin
    c := PositiveNegative(TRGB2(RadioGroup1.ItemIndex), (i-250)/250.0);
    self.Canvas.Pen.Color := TColor(c);
    self.Canvas.MoveTo(i+30,10);
    self.Canvas.LineTo(i+30,50);
  end;

end;

procedure TForm1.ButtonPositiveNegative1Click(Sender: TObject);
var
  i, c: integer;
begin
  for i := 0 to 499 do
  begin
    c := PositiveNegative(TRGB2(RadioGroup1.ItemIndex), (i-250)/150.0);
    self.Canvas.Pen.Color := TColor(c);
    self.Canvas.MoveTo(i+30,10);
    self.Canvas.LineTo(i+30,50);
  end;

end;

procedure TForm1.ButtonTransitionClick(Sender: TObject);
var
  i, c: integer;
begin
  for i := 0 to 499 do
  begin
    c := Transition(TRGB2(RadioGroup1.ItemIndex), (i-250)/250.0);
    self.Canvas.Pen.Color := TColor(c);
    self.Canvas.MoveTo(i+30,10);
    self.Canvas.LineTo(i+30,50);
  end;

end;

procedure TForm1.ButtonTransition1Click(Sender: TObject);
var
  i, c: integer;
begin
  for i := 0 to 499 do
  begin
    c := Transition(TRGB2(RadioGroup1.ItemIndex), (i-250)/150.0);
    self.Canvas.Pen.Color := TColor(c);
    self.Canvas.MoveTo(i+30,10);
    self.Canvas.LineTo(i+30,50);
  end;

end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
var
  t: double;
begin
  t := (ScrollBar1.Position/ScrollBar1.Max);
  Label1.Caption := FloatToStr(t);
  self.Canvas.Brush.Color := TColor(rainbow(t));
  self.Canvas.Rectangle(30,80,100,150);
end;

end.
