unit Test_uFileArrays;

interface

uses
  TestFramework,
  SysUtils,
  uFileArrays;

type

CRACK_TIntArray1D = class(TIntArray1D);

CRACK_TIntArray2D = class(TIntArray2D);

CRACK_TArray1D = class(TArray1D);

CRACK_TArray2D = class(TArray2D);

Check_TIntArray1D = class(TTestCase)
public
   procedure setUp;  override;
   procedure tearDown; override;
published
   procedure VerifyReadFromFile;
   procedure VerifyWriteToFile;
   procedure VerifyGetComment;
   procedure VerifySetComment;
end;

Check_TIntArray2D = class(TTestCase)
public
   procedure setUp;  override;
   procedure tearDown; override;
published
   procedure VerifyReadFromFile;
   procedure VerifyWriteToFile;
   procedure VerifyGetComment;
   procedure VerifySetComment;
end;

Check_TArray1D = class(TTestCase)
public
   procedure setUp;  override;
   procedure tearDown; override;
published
   procedure VerifyReadFromFile;
   procedure VerifyWriteToFile;
   procedure VerifyGetComment;
   procedure VerifySetComment;
end;

Check_TArray2D = class(TTestCase)
public
   procedure setUp;  override;
   procedure tearDown; override;
published
   procedure VerifyReadFromFile;
   procedure VerifyWriteToFile;
   procedure VerifyGetComment;
   procedure VerifySetComment;
end;

function Suite : ITestSuite;

implementation

function Suite : ITestSuite;
begin
  result := TTestSuite.Create('uFileArrays Tests');

  result.addTest(testSuiteOf(Check_TIntArray1D));

  result.addTest(testSuiteOf(Check_TIntArray2D));

  result.addTest(testSuiteOf(Check_TArray1D));

  result.addTest(testSuiteOf(Check_TArray2D));
end;

procedure Check_TIntArray1D.setUp;
begin
end;

procedure Check_TIntArray1D.tearDown;
begin
end;

procedure Check_TIntArray1D.VerifyReadFromFile;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TIntArray1D.VerifyWriteToFile;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TIntArray1D.VerifyGetComment;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TIntArray1D.VerifySetComment;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TIntArray2D.setUp;
begin
end;

procedure Check_TIntArray2D.tearDown;
begin
end;

procedure Check_TIntArray2D.VerifyReadFromFile;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TIntArray2D.VerifyWriteToFile;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TIntArray2D.VerifyGetComment;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TIntArray2D.VerifySetComment;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TArray1D.setUp;
begin
end;

procedure Check_TArray1D.tearDown;
begin
end;

procedure Check_TArray1D.VerifyReadFromFile;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TArray1D.VerifyWriteToFile;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TArray1D.VerifyGetComment;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TArray1D.VerifySetComment;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TArray2D.setUp;
begin
end;

procedure Check_TArray2D.tearDown;
begin
end;

procedure Check_TArray2D.VerifyReadFromFile;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TArray2D.VerifyWriteToFile;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TArray2D.VerifyGetComment;
begin
   fail('Test Not Implemented Yet');
end;

procedure Check_TArray2D.VerifySetComment;
begin
   fail('Test Not Implemented Yet');
end;

end.
